--- modules/gui/qt4/dialogs/open.cpp	Wed Jul  4 16:12:09 2007
+++ modules/gui/qt4/dialogs/open.cpp	Wed Jul  4 18:13:08 2007
@@ -65,6 +65,10 @@
     {
         ui.advancedFrame->hide();
     }
+    else
+    {
+        ui.advancedCheckBox->setCheckState( Qt::Checked );
+    }
 
     ui.slaveLabel->hide();
     ui.slaveText->hide();
@@ -278,18 +282,23 @@
     //FIXME does not work under Windows
     if (ui.advancedFrame->isVisible()) {
         ui.advancedFrame->hide();
+#ifndef WIN32
         setMinimumHeight(1);
         resize( width(), mainHeight );
-
+#endif
     } else {
+#ifndef WIN32
         if( mainHeight == 0 )
             mainHeight = height();
+#endif
 
         ui.advancedFrame->show();
+#ifndef WIN32
         if( advHeight == 0 ) {
             advHeight = height() - mainHeight;
         }
         resize( width(), mainHeight + advHeight );
+#endif
     }
 }
 
